SystemOrganization addCategory: #NautilusTests!

TestCase subclass: #NautilusTests
	instanceVariableNames: 'nautilus'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'NautilusTests'!

!NautilusTests methodsFor: 'running' stamp: 'BenjaminVanRyseghem 8/21/2011 12:23'!
setUp

	nautilus := Nautilus new.! !

!NautilusTests methodsFor: 'running' stamp: 'BenjaminVanRyseghem 8/21/2011 12:24'!
tearDown

	nautilus := nil.! !

!NautilusTests methodsFor: 'tests' stamp: 'AlexandreBergel 8/21/2011 17:21'!
testCorrespondingTestClass
	self assert: (Behavior correspondingForTest == BehaviorTest).
	self assert: (TTCFont correspondingForTest == TTCFont).
	self assert: (BehaviorTest correspondingForTest == Behavior).! !

!NautilusTests methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/21/2011 13:32'!
testSelectedCategory

	self assert: nautilus selectedMethod isNil.
	nautilus selectedMethod: (Object>>#at:).
	nautilus selectedCategory: 'test'.
	self assert: (nautilus selectedCategory = 'test').
	self assert: (nautilus selectedMethod isNil)! !

!NautilusTests methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/21/2011 13:33'!
testSelectedClass

	self assert: nautilus selectedMethod isNil.
	nautilus selectedMethod: (Object>>#at:).
	nautilus selectedCategory: 'test'.
	self assert: (nautilus selectedCategory = 'test').
	self assert: (nautilus selectedMethod isNil).
	
	nautilus selectedClass: Morph.
	self assert: (nautilus selectedClass = Morph).
	self assert: (nautilus selectedCategory isNil).
	self assert: (nautilus selectedMethod isNil).! !

!NautilusTests methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/21/2011 12:46'!
testSelectedMethod

	self assert: nautilus selectedMethod isNil.
	nautilus selectedMethod: (Object>>#at:).
	self assert: (nautilus selectedMethod = (Object>>#at:))! !
